#!/bin/sh
serverlang=en

echo "Greenstone 3 Server"
echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
echo "This software comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
echo "This is free software, and you are welcome to redistribute it"

##  -------- Run the Greenstone 3 Server --------

# This script must be run from within the directory in which it lives
thisdir=`pwd`
if [ ! -f "${thisdir}/gs3-server.sh" ]; then
    echo "This script must be run from the directory in which it resides."
    exit 1
fi

##  ---- Determine GSDL3SRCHOME ----
gsdl3path=

# Some users may set the above line manually
if [ -z "$gsdl3path" ]; then
   gsdl3path=`pwd`  
fi

if [ -z "$GSDL3SRCHOME" ]; then 
  # Setup Greenstone3, unless it has already been done
  pushd $gsdl3path > /dev/null
  source gs3-setup.sh
  popd > /dev/null
fi


# JRE_HOME or JAVA_HOME must be set correctly to run this program
if [ -n "$RUNJAVA" ]; then
  "$RUNJAVA" -cp $CLASSPATH org.greenstone.server.Server $GSDL3SRCHOME 
fi

